from django.apps import AppConfig
from django.db.models.signals import pre_save
from django.utils.translation import gettext_lazy as _


class TrainvelGTFSConfig(AppConfig):
    default_auto_field = "django.db.models.BigAutoField"
    name = "trainvel.gtfs"
    verbose_name = _("Trainvel - GTFS")

    def ready(self):
        from trainvel.gtfs import signals

        pre_save.connect(signals.keep_gtfs_feed_modification_date, sender="gtfs.GTFSFeed")
